unit PTLPorts;

interface

uses
  Windows;

{$IFDEF CPUX64}
type
  TSNative = Int64;
  PSNative = ^Int64;
  TUNative = UInt64;
  PUNative = ^UInt64;

const
  PTLPort = 'PTLPort64.dll';
{$ELSE}
type
  TSNative = LongInt;
  PSNative = ^LongInt;
  TUNative = LongWord;
  PUNative = ^LongWord;

const
  PTLPort = 'PTLPort.dll';
{$ENDIF CPUX64}

function PTLPortEnum(iWhich: TSNative; pPortName: PWChar; iSize: TSNative): Bool; stdcall; external PTLPort;
function PTLPortGetLocation(pPortName: PWChar; piBoard: PSNative; piPort: PSNative): Bool; stdcall; external PTLPort;
function PTLPortTXVR(pPortName: PWChar; pulValue: PUNative; fSet: Bool): Bool; stdcall; external PTLPort;



implementation

end.
